<template lang="html">
<v-container>
<v-layout row wrap>
    <v-layout row wrap>
      <v-dialog v-model="dialog" persistent max-width="290">
      <v-card>
        <v-card-title class="headline">Success</v-card-title>
        <v-card-text>Successfully Created Subject</v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="green darken-1" flat @click="goSubject()">OK</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
    </v-layout>
  <v-flex xs12>
      <v-form
    ref="form"
    lazy-validation
  >
    <v-text-field
      v-model="data.subject_id"
      :counter="10"
      
      label="Subject ID"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.subject_name"
      :counter="10"
      
      label="Subject Name"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.subject_code"
      :counter="10"
      
      label="Subject Code"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.academic_year"
      :counter="10"
      
      label="Academic Year"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.lab_per_week"
      :counter="10"
      
      label="Lab Per Week"
      required
    ></v-text-field>
    <v-text-field
      v-model="data.lectures_in_week"
      :counter="10"
      
      label="Lectures in Week"
      required
    ></v-text-field>
     <v-text-field
      v-model="data.period_in_weeks"
      :counter="10"
      
      label="Period in Weeks"
      required
    ></v-text-field>
    </v-form>
  </v-flex>
      <v-flex xs12>
    <v-btn color="info" @click="save">Save Subject</v-btn>
  </v-flex>
</v-layout>
</v-container>
</template>

<script lang="js">
import service from '../services/subjects.js'
  export default  {
    name: 'subject',
    props: [],
    mounted() {
        console.log("subject is mounted")
        service.getAll().then((result)=>{
        console.log("subject service called")
        console.log(result)
      })
    },
    data() {
      return {
          dialog: false,
          data: {
                subject_id: "",
                subject_name: "",
                subject_code: "",
                academic_year: "",
                lab_per_week: "",
                lectures_in_week:"",
                period_in_weeks: ""
            }
        }
    },
    methods: {
      goSubject(){
          this.$router.push({name:'subject'})
      },
      save() {
       this.data.id = Number(this.data.id)
       this.data.lab_per_week = Number(this.data.lab_per_week)
       this.data.lectures_in_week = Number(this.data.lectures_in_week)
       this.data.period_in_weeks = Number(this.data.period_in_weeks)

       service.save(this.subject).then((result)=>{
        if(result.status = "success"){
            this.dialog = true
        }
      })

    }
    },
    computed: {

    }
}
</script>
<style scoped>
  .subject {

  }
</style>
